
--husk_generic1 = griddy
--husk_generic2 = social climber
--husk_generic3 = dont start now
--husk_generic4 = floss
--military      = bring it around
--sneak			= rollie
--tuxedo        = jabba switchway
--rain			= go mufasa
--doctor		= last forever
--peacoat		= stuck
function MenuSceneManager:random_fortnite_dance()
	local dances = {"husk_generic1", "husk_generic2", "husk_generic3", "husk_generic4", "military", "sneak", "tuxedo", "rain", "doctor", "peacoat"}
	--local dances = {"peacoat"}
	local ranin = math.random(#dances)
	return dances[ranin]
end
--makes it so that every time the select pose is called it is set to a specified one
function MenuSceneManager:_select_character_pose(unit, secondary, primary)
	unit = unit or self._character_unit

	self:_set_character_unit_pose(self:random_fortnite_dance(), unit)
end


--replace menu pose with specific one
--[[function MenuSceneManager:_set_character_unit_pose(pose, unit)
afp("set_character_unit___________________________________")
	pose = self:random_fortnite_dance()
	local state = unit:play_redirect(Idstring("idle_menu"))

	unit:anim_state_machine():set_parameter(state, pose, 1)

	if self._character_unit == unit then
		self:add_one_frame_delayed_clbk(callback(self, self, "_character_unit_pose_updated"))
	end
end--]]


function MenuSceneManager:_select_lobby_character_pose(peer_id, unit, weapon_info)
	local state = unit:play_redirect(Idstring("idle_menu"))
	local weapon_id = managers.weapon_factory:get_weapon_id_by_factory_id(weapon_info.factory_id)
	local category = tweak_data.weapon[weapon_id].categories[1]
	local lobby_poses = self._lobby_poses[weapon_id]
	lobby_poses = lobby_poses or self._lobby_poses[category]
	lobby_poses = lobby_poses or self._lobby_poses.generic

	if type(lobby_poses[1]) == "string" then
		local pose = lobby_poses[math.random(#lobby_poses)]
		pose = self:random_fortnite_dance()

		unit:anim_state_machine():set_parameter(state, pose, 1)
	else
		local id = peer_id % #lobby_poses + 1
		local pose = lobby_poses[id][math.random(#lobby_poses[id])]
		pose = self:random_fortnite_dance()

		unit:anim_state_machine():set_parameter(state, pose, 1)
	end
end


--ai crew animations
function MenuSceneManager:_select_henchmen_pose(unit, weapon_id, index)
	local delays = {
		0,
		0.8,
		0.2,
		0.5
	}
	local animation_delay = delays[index] or index * 0.2
	local state = unit:play_redirect(Idstring("idle_menu"))

	if not weapon_id then
		unit:anim_state_machine():set_parameter(state, "cvc_var1", 1)
		unit:anim_state_machine():set_animation_time_all_segments(animation_delay)

		return
	end

	local category = tweak_data.weapon[weapon_id].categories[1]
	local lobby_poses = self._lobby_poses[weapon_id]
	lobby_poses = lobby_poses or self._lobby_poses[category]
	lobby_poses = lobby_poses or self._lobby_poses.generic
	local pose = nil

	if type(lobby_poses[1]) == "string" then
		pose = lobby_poses[math.random(#lobby_poses)]
	else
		pose = lobby_poses[index][math.random(#lobby_poses[index])]
	end
	
	--this code specificalyl sets the pose of the ai characters in the ai crew tab
	pose = self:random_fortnite_dance()
	
	unit:anim_state_machine():set_parameter(state, pose, 1)
	unit:anim_state_machine():set_animation_time_all_segments(animation_delay)
end

--this makes it so that the character never uses an infamy card animation in the lobby
function MenuSceneManager:_get_lobby_character_prio_item(rank, outfit)
	return "primary"
end